/// <reference types="react" />
import { StyledProps } from '../../utils/styled';
declare type Props = StyledProps & {
    /** Space to offset from the edge of the containing element */
    gutter?: string | number;
    /** Let the element flow outside of the containing element */
    breakout?: boolean;
    /** Contain the element to the viewport (instead of the document) */
    fixed?: boolean;
    /** Positioning along x-axis */
    x?: 'left' | 'center' | 'right' | 'full';
    /** Positioning along y-axis */
    y?: 'top' | 'center' | 'bottom' | 'full';
    zIndex?: number;
};
export declare const Position: (props: Props) => JSX.Element;
export {};
